zenilib: SDL_TouchFingerEvent Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_TouchFingerEvent Struct Reference

Touch finger event structure (event.tfinger.*) More...

`#include <SDL_events.h>`

## Public Attributes

float | dx
float | dy
SDL_FingerID | fingerId
float | pressure
Uint32 | timestamp
SDL_TouchID | touchId
Uint32 | type
float | x
float | y

## Detailed Description

Touch finger event structure (event.tfinger.*)

Definition at line 384 of file SDL_events.h.

## Member Data Documentation

float SDL_TouchFingerEvent::dx

Normalized in the range 0...1

Definition at line 392 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

float SDL_TouchFingerEvent::dy

Normalized in the range 0...1

Definition at line 393 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

SDL_FingerID SDL_TouchFingerEvent::fingerId

Definition at line 389 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

float SDL_TouchFingerEvent::pressure

Normalized in the range 0...1

Definition at line 394 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

Uint32 SDL_TouchFingerEvent::timestamp

Definition at line 387 of file SDL_events.h.

SDL_TouchID SDL_TouchFingerEvent::touchId

The touch device id

Definition at line 388 of file SDL_events.h.

Referenced by SDL_GestureProcessEvent(), and SDLTest_PrintEvent().

Uint32 SDL_TouchFingerEvent::type

SDL_FINGERMOTION or SDL_FINGERDOWN or SDL_FINGERUP

Definition at line 386 of file SDL_events.h.

float SDL_TouchFingerEvent::x

Normalized in the range 0...1

Definition at line 390 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

float SDL_TouchFingerEvent::y

Normalized in the range 0...1

Definition at line 391 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_events.h